Qt 5.6 | Qt Multimedia | C++ Classes | QMediaServiceFeaturesInterface

Qt 5.6.2 Reference Documentation

# QMediaServiceFeaturesInterface Class

The QMediaServiceFeaturesInterface class interface identifies features supported by a media service plug-in. More...

Header: | #include <QMediaServiceFeaturesInterface>
qmake: | QT += multimedia

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceFeaturesInterface()
virtual QMediaServiceProviderHint::Features | supportedFeatures(const QByteArray &service) const = 0

## Detailed Description

The QMediaServiceFeaturesInterface class interface identifies features supported by a media service plug-in.

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceFeaturesInterface::~QMediaServiceFeaturesInterface()

Destroys a media service features interface.

### `[pure virtual]` QMediaServiceProviderHint::Features QMediaServiceFeaturesInterface::supportedFeatures(const QByteArray &service) const

Returns a set of features supported by a plug-in service.